EDIT - task #8436

featureTree/* services should filter the termTrees by the TermType Feature
08/01/2019 12:23 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal

Description

Die featureTree/* Service-Endpunkte sollte selbe Verhalten anzubieten wie zuvor (#8434). In diesem Fall sollte hinter den Kulissen
der TermType Feature als Filter gesetzt werden. Bei Verwendung der termTree/* Services muss man das explizit machen.

This requires that the ITermTreeService provides a list method which supports filtering by TermTree.termType, which does not exist
yet.

This task only becomes important when external user or clients are relying on the featureTree/* services returning only true
FeatureTrees

Related issues:
Follows EDIT - task #8437: ITermTreeService provides a list method which sup... Resolved

Associated revisions

Revision 0532345 - 08/02/2019 11:18 AM - Andreas Kohlbecker

fix #8436 termTree/* services with termType filter and featureTree/* services restricted to feature trees only

History

#1 - 08/01/2019 12:26 PM - Andreas Kohlbecker

- Due date set to 08/02/2019

- Start date changed from 08/01/2019 to 08/02/2019

- Follows task #8437: ITermTreeService provides a list method which supports filtering by TermTree.termType, added

#2 - 08/01/2019 12:31 PM - Andreas Kohlbecker
- Tracker changed from bug to task

- Description updated

- Due date deleted (08/02/2019)

- Start date deleted (08/02/2019)

#3 - 08/02/2019 11:18 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|0f5323457637b612214287eb3101¢c7db12154015.

#4 - 08/02/2019 11:19 AM - Andreas Kohlbecker
- Priority changed from New to Priority14

- Target version changed from Unassigned CDM tickets to Release 5.9

#5 - 08/12/2019 04:26 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
